`mcl_weather`
=======================
This was largely rewritten to use particlespawners (what were you thinking !?) and an event based code flow.


Weathers included
-----------------------
* rain
* snow
* thunder

Commands
-----------------------
`weather <weather>`, requires `weather_manager` privilege.

Dependencies
-----------------------
Lightning has been made a hard dependency since it is included in Mineclonia.

Adding new weathers:

It's as simple as calling a mcl_weather.register_weather(weatherdef):

Weatherdef
-----------------------
{
	light_factor = 1,
    -- 0-1

    cloudcolor=  ,
    --hexrgb

    sound,
    --A sound name (loop)

	min_duration ,
    -- In seconds

    max_duration ,
	transitions,
    --The chances how likely this weather is to change into another weather.
    -- e.g.
    -- {
	--	[65] = "none",
	--	[80] = "rain",
	--	[100] = "thunder",
	-- }

	skylayer= ,
    -- a skylayer defintion (see skycolor api)

	particlespawners = {},
    -- a table of particlespawnerdefinitions

	start ,
    --A function that is run when the weather is about to start

	start_player,
    --A function per player that is run when the weather is about to start
	clear ,
    --A function that is run when the weather is about to clear/change
	clear_player ,  -- function per player that is run on change (first argument is the playername)

    at_pos ,
    --A function that is run for each player with current position as argument. weather is disabled for the player when it returns false

    change_at_pos,
    --function that is run for each player with current position as argument. return a weather name and the weather transitions into the supplied weather for that player

    }



This was the original README.md from mcl2_weather:

Weather mod for MineClone 2. Forked from the `weather_pack` mod by xeranas.

Weathers included
-----------------------
* rain
* snow
* thunder

Commands
-----------------------
`weather <weather>`, requires `weather_manager` privilege.

Dependencies
-----------------------
Thunder weather requres [lightning](https://github.com/minetest-mods/lightning) mod.

Configuration prope,  ties
-----------------------
Weather mod for indoor check depends on sunlight propogation check. Some nodes (e.g. glass block) propogates sunlight and thus weather particles will go through it. To change that set `weather_allow_override_nodes=true` in `minetest.conf` file. Be aware that just few nodes will be override and these blocks needs to be re-builded to take effect. Maybe in future other 'cheap' way to check indoor will be available.

Weather mod mostly relies on particles generation however for some small things ABM may be used. Users which do not want it can disable ABM with property `weather_allow_abm=false`.

License of source code:
-----------------------
LGPL 2.1+

Authors of media files:
-----------------------

TeddyDesTodes:
Snowflakes licensed under CC-BY-SA 3.0 by from weather branch at https://github.com/TeddyDesTodes/minetest/tree/weather

  * `weather_pack_snow_snowflake1.png` - CC-BY-SA 3.0
  * `weather_pack_snow_snowflake2.png` - CC-BY-SA 3.0

xeranas:

  * `weather_pack_rain_raindrop_1.png` - CC-0
  * `weather_pack_rain_raindrop_2.png` - CC-0
  * `weather_pack_rain_raindrop_3.png` - CC-0

inchadney (http://freesound.org/people/inchadney/):

  * `weather_rain.ogg` - CC-BY-SA 3.0 (cut from http://freesound.org/people/inchadney/sounds/58835/)

