mcl_weather.register_weather("snow",{
	light_factor = 0.6,
	cloudcolor= "#ADADADE8" ,
	sound = "weather_rain",
	-- 10min - 20min
	min_duration = 600,
	max_duration = 1200,
	transitions = {
		[65] = "none",
		[80] = "rain",
		[100] = "thunder",
	},
	skylayer= {{r=0, g=0, b=0},
		{r=85, g=86, b=86},
		{r=135, g=135, b=135},
		{r=85, g=86, b=86},
		{r=0, g=0, b=0}},
	particlespawners = {
		{
		amount = 99,
		time = 0,
		minpos = vector.new(-15,-5,-15),
		maxpos =vector.new(15,10,15),
		minvel = vector.new(0,-1,0),
		maxvel = vector.new(0,-4,0),
		minacc = vector.new(0,-1,0),
		maxacc = vector.new(0,-4,0),
		minexptime = 2,
		maxexptime = 5,
		minsize = 0.5,
		maxsize = 5,
		collisiondetection = true,
		collision_removal = true,
		object_collision = true,
		vertical = true,
		glow = 1,
		texture="weather_pack_snow_snowflake1.png"
		},{
		amount = 30,
		time = 0,
		minpos = vector.new(-15,5,-15),
		maxpos =vector.new(15,10,15),
		minvel = vector.new(0,-1,0),
		maxvel = vector.new(0,-5,0),
		minacc = vector.new(0,-1,0),
		maxacc = vector.new(0,-4,0),
		minexptime = 0.1,
		maxexptime = 0.5,
		minsize = 0.5,
		maxsize = 5,
		collisiondetection = true,
		collision_removal = true,
		object_collision = true,
		vertical = true,
		glow = 1,
		texture="weather_pack_snow_snowflake2.png"
		}
	},
  change_at_pos = function(pos)
    local biome=minetest.get_biome_data(pos)
		if pos.y > 50 or (mcl_worlds.has_weather(pos) and biome.heat > 15 ) then
			return "rain"
		end
  end
})